package net.sf.doolin.template;

/**
 * Definition for a template engine.
 * 
 * @author Damien Coraboeuf
 */
public interface TemplateEngine {

	/**
	 * Predefined template engine: Velocity.
	 */
	public final static String VELOCITY = "Velocity";

	/**
	 * Creates a template for the given resource.
	 * 
	 * @param resourcePath
	 *            Path to the template resource definition
	 * @return Reusable remplate
	 */
	Template getTemplate(String resourcePath);

	/**
	 * Initialization of the engine.
	 * 
	 */
	void init();

}
